backuptool.sh: Improve check for whether /system is mounted.

Fixes unable to flash an update.zip over a formatted /system

Change-Id: Ia163262585cb2ef414c6996837834c512d774243
diff --git a/prebuilt/common/bin/backuptool.sh b/prebuilt/common/bin/backuptool.sh
index fd62159..8f613af 100755
--- a/prebuilt/common/bin/backuptool.sh
+++ b/prebuilt/common/bin/backuptool.sh
@@ -9,14 +9,14 @@
 
 # Mount /system if it is not already mounted
 mount_system() {
-if [ ! -f "$S/build.prop" ]; then
+if ! mount | grep -q " $S " ; then
   mount $S
 fi
 }
 
 # Unmount /system unless it is already unmounted
 umount_system() {
-if [ -f "$S/build.prop" ]; then
+if mount | grep -q " $S " ; then
   umount $S
 fi
 }